<?php
namespace Eleddon\Admin;
/**
 * Eleddon Admin
 *
 * @package     Eleddon
 * @author      Codingeek
 * @copyright   2019 Codingeek
 * @license     GPL-2.0-or-later
 *
 *
 */


if( !defined( 'WPINC' ) ) {
    die;
}


class Eleddon_Admin{


	function __construct() {
		$this->init();

		// Enqueue admin style and script
		add_action( 'admin_enqueue_scripts', array( $this, 'admin_scripts' ) );

	}

	/**
	 * Initialize admin
	 *
	 *
	 * @since 1.0.0
	 * @access public
	 */
	public function init() {

		// Call include_files method
		$this->include_files(); 
	}

	/**
	 * Enqueue Scripts
	 *
	 *
	 * @since 1.0.0
	 * @access public
	 */
	public function admin_scripts( $hook_suffix ) {

		if( $hook_suffix == 'toplevel_page_eleddon' ) {

			wp_enqueue_style( 'icon-font', ELEDDON_ADMIN_URL.'assets/css/icon-font.css', array(), ELEDDON_VERSION, false );
			wp_enqueue_style( 'eleddon-admin-style', ELEDDON_ADMIN_URL.'assets/css/style.css', array(), ELEDDON_VERSION, false );
			wp_enqueue_script( 'eleddon-vendor', ELEDDON_ADMIN_URL.'assets/js/vendor.js', array(), ELEDDON_VERSION, true );
			wp_enqueue_script( 'eleddon-admin-ajax', ELEDDON_ADMIN_URL.'assets/js/admin-ajax.js', array('jquery'), ELEDDON_VERSION, true );
			wp_enqueue_script( 'eleddon-admin', ELEDDON_ADMIN_URL.'assets/js/main.js', array('jquery', 'imagesloaded'), ELEDDON_VERSION, true );


			$args = array(
				'nonce'   => wp_create_nonce( 'eleddon-settings-data-save' ),
				'ajaxurl' => admin_url('admin-ajax.php')
			);

			wp_localize_script( 'eleddon-admin-ajax', 'eleddonAdmin', $args );

		}

	}

	/**
	 * Include admin files
	 *
	 *
	 * @since 1.0.0
	 * @access public
	 */
	public function include_files() {
		
		require_once( ELEDDON_DIR_ADMIN.'classes/class-admin-menu.php' );
		require_once( ELEDDON_DIR_ADMIN.'classes/class-admin-template.php' );
		require_once( ELEDDON_DIR_ADMIN.'classes/class-widgets-manager.php' );
		require_once( ELEDDON_DIR_ADMIN.'classes/class-admin-ajax-handler.php' );
		require_once( ELEDDON_DIR_ADMIN.'classes/admin-template-section/elements-section.php' );
		require_once( ELEDDON_DIR_ADMIN.'classes/admin-template-section/general-section.php' );
		require_once( ELEDDON_DIR_ADMIN.'classes/admin-template-section/gopro-section.php' );
	}


}
new Eleddon_Admin();