; (function ($) {
  "use strict";

  $( function () {

    
    /* -------------------------------------------------
      Remove disabled attr from save changes button 
    ------------------------------------------------- */
    $('.onoffswitch-checkbox').on( 'change', function() {

      $('.eleddon_boxed-btn').removeAttr('disabled')

    } )


    /* -------------------------------------------------
      Element enable disable Button
    ------------------------------------------------- */
    var $checkbox = $('.lite-item').find('.onoffswitch-checkbox');

    $('[data-btn]').on( 'click', function() {
        
      var $this = $( this ).data('btn'); 

        if( $this == 'enable' ) {
          $checkbox.attr('checked', 'checked');      
        } else {
          $checkbox.removeAttr('checked');
        }

      
    } )

    /* -------------------------------------------------
      Admin Search filter
    ------------------------------------------------- */

    $('[data-search]').on('keyup', function() {

        var searchVal = $(this).val();
        // Item filter callback
        items_filter( searchVal );

    });


    // Item filter callback function
    function items_filter( selectedVlue ) {

        var filterItems = $('[data-filter-item]');

        if ( selectedVlue != '' ) {

            filterItems.addClass('hidden');
            $('[data-filter-item][data-filter-name*="' + selectedVlue.toLowerCase() + '"]').removeClass('hidden');

        } else {
            filterItems.removeClass('hidden');
        }

    }



    /* -------------------------------------------------
      1. Admin Tab
    ------------------------------------------------- */                                    
    const tabs = document.querySelectorAll(".eleddon_tabs-1 .eleddon_tabs li");
    const sections = document.querySelectorAll(".eleddon_tabs-1 .tab-content");
    
    tabs.forEach(tab => {
      tab.addEventListener("click", e => {
        e.preventDefault();
        removeActiveTab();
        addActiveTab(tab);
      });
    })
    
    const removeActiveTab = () => {
      tabs.forEach(tab => {
        tab.classList.remove("is-active");
      });
      sections.forEach(section => {
        section.classList.remove("is-active");
      });
    }

    const addActiveTab = tab => {
      tab.classList.add("is-active");
      const href = tab.querySelector("a").getAttribute("href");
      const matchingSection = document.querySelector(href);
      matchingSection.classList.add("is-active");
    }
     
    /* -------------------------------------------------
      2. Background Image
    ------------------------------------------------- */
    var $backgroundImage = $('.eleddon_bg-image');
    $backgroundImage.each(function () {
        var $this = $(this),
            $bgImage = $this.data('bg');
        $this.css('background-image', 'url(' + $bgImage + ')');
    });

    /* -------------------------------------------------
      3. Accordion
    ------------------------------------------------- */
    var js_accordion = $(".js-accordion"),
    collapse_trigger = js_accordion.find(".eleddon_btn-link");
    if (js_accordion.length > 0) {
      // Open first accordion by default
      js_accordion
      .find(".card")
      .first()
      .find(".collapse")
      .css("display", "block");

      // Add class expanded on first accordion by default
      js_accordion
      .find(".card")
      .first()
      .find(".eleddon_btn-link")
      .addClass("expanded");

      // click event for accordion
      collapse_trigger.click(function() {
        var currentCollapse = $(this)
        .closest(".card")
        .find(".collapse"),
        remainingCollapse = $(this)
        .closest(js_accordion)
        .find(".collapse")
        .not(currentCollapse),
        remainingBtn = $(this)
        .closest(js_accordion)
        .find(".eleddon_btn-link")
        .not(this);

        // toggle the clicked accordion
        currentCollapse.slideToggle();
        $(this).toggleClass("expanded");

        // close all other accordion if any.
        remainingCollapse.slideUp();
        remainingBtn.removeClass("expanded");
      });
    }

    /* --------------------------------------------------
      select 
    ---------------------------------------------------- */
    $('select').niceSelect();

   
    // filter items on button click
    $('.eleddon_plugin-option-menu').on( 'click', 'span', function() {
      var filterValue = $(this).attr('data-filter');
      $('.grid').isotope({ filter: filterValue });
    });



    });

})(jQuery);