<?php
namespace Eleddon\Admin\Classes;
/**
 * Eleddon General Section
 *
 * @package     Eleddon
 * @author      Codingeek
 * @copyright   2019 Codingeek
 * @license     GPL-2.0-or-later
 *
 *
 */


if( !defined( 'WPINC' ) ) {
    die;
}

if( !class_exists('General_Section') ) {

    class General_Section {

        public $sectionTitle = 'General Setting';


        function __construct() {

            
        }

        /**
         * General Section info
         *
         *
         */
        public function general_card_info() {
            
            return [

                [
                    'title'         => esc_html__( 'Support', 'eleddon' ),
                    'image'         => ELEDDON_ADMIN_URL.'assets/img/icons/support.png',
                    'description'   => 'For Any Query Feel Free To Mail us : support@codingeek.net',
                    'link_text'     => esc_html__( 'Contact Us', 'eleddon' ),
                    'link_url'      => 'https://codingeek.net/'
                ],                
                [
                    'title'         => esc_html__( 'Missing Any Features ?', 'eleddon' ),
                    'image'         => ELEDDON_ADMIN_URL.'assets/img/icons/1.png',
                    'description'   => 'Are you in need of a feature that’s not available in our plugin? Feel free to do a feature request from here,',
                    'link_text'     => esc_html__( 'Request Feature', 'eleddon' ),
                    'link_url'      => 'https://codingeek.net/'
                ]


            ];


        }

        /**
         * General Section banner
         *
         *
         */
        public function general_banner() {
            
            return [

                [
                    'title'           => esc_html__( 'Document', 'eleddon' ),
                    'description'     => 'Eleddon Pro will come very soon',
                    'bg_image'        => ELEDDON_ADMIN_URL.'assets/img/banner/1.jpg',
                    'logo'            => ELEDDON_ADMIN_URL.'assets/img/icons/plugin-logo.png',
                    'link_icon_class' => esc_attr( 'fa fa-long-arrow-right' ),
                    'link_text'       => esc_html__( 'Ready to Upgrade', 'eleddon' ),
                    'link_url'        => '#'
                ]


            ];



        }

    }

}