<?php
namespace Eleddon\Admin\Classes;
/**
 * Eleddon Admin ajax
 *
 * @package     Eleddon
 * @author      Codingeek
 * @copyright   2019 Codingeek
 * @license     GPL-2.0-or-later
 *
 *
 */


if( !defined( 'WPINC' ) ) {
    die;
}

if( !class_exists('Admin_Ajax_handler') ) {

    class Admin_Ajax_handler {

        private static $instance = null;

        const ELEDDON_OPTION_KEY = ELEDDON_OPTION_NAME;


        function __construct() {

            add_action( 'wp_ajax_settings_data_save_action',  [$this , 'settings_data_save'] );

        }

        public static function getInstance() {

            if( self::$instance == null ) {
                self::$instance = new self();
            }

            return self::$instance;

        }

        public function settings_data_save() {

            // Check user permission
            if( !current_user_can('manage_options') ) {
                return;
            }

            // Verifies the Ajax request
            if( !check_ajax_referer( 'eleddon-settings-data-save', 'nonce' ) ) {
                wp_send_json_error();
            }

            $getPostedData = isset( $_POST['data'] ) ? $_POST['data'] : '';

            $data = array();

            parse_str( $getPostedData, $data );


            $getData = is_array( $data['eleddon_widgets'] ) ? $data['eleddon_widgets'] : [];            

            $sanitizedData = [];

            foreach( $getData as $val ) {

                $sanitizedData[] = sanitize_text_field( $val );

            }


            update_option( self::ELEDDON_OPTION_KEY,  $sanitizedData );

            wp_send_json_success();


        }

    }

    Admin_Ajax_handler::getInstance();

}