<?php
namespace Eleddon\Admin\Classes;
/**
 * Eleddon Admin Menu
 *
 * @package     Eleddon
 * @author      Codingeek
 * @copyright   2019 Codingeek
 * @license     GPL-2.0-or-later
 *
 *
 */


if( !defined( 'WPINC' ) ) {
    die;
}

if( !class_exists('Admin_Menu') ) {

class Admin_Menu {

	function __construct() {

		add_action( 'admin_menu', array( $this, 'admin_page' ) );
		add_action( 'admin_init', array( $this, 'page_settings_init' ) );

	}

	public function admin_page() {

		// add top level menu page
		add_menu_page(
		 'Eleddon Settings',
		 'Eleddon Settings',
		 'manage_options',
		 'eleddon',
		 array( $this, 'eleddon_page_output_callback' )
		);


	}

	public function page_settings_init() {

		register_setting(
            'eleddon_settings_option_group', // Option group
            'eleddon_options' // Option name
        );  
		
	}

	public static function eleddon_page_output_callback() {

		// Call Admin Template class
		Admin_Template::getInstance();
	}

}
new Admin_Menu();

}