<?php
namespace Eleddon\Inc\Classes;
/**
 * Eleddon Scripts enqueue base
 *
 * @package     Eleddon
 * @author      Codingeek
 * @copyright   2019 Codingeek
 * @license     GPL-2.0-or-later
 *
 *
 */


if( !defined( 'WPINC' ) ) {
    die;
}
use Elementor\Core\Files\CSS\Post as Post_CSS;
if( !class_exists('Enqueue_Base') ) {

    class Enqueue_Base {

        public $style;

        public $script;

        public $localize;


        function __construct() {

            $this->set_scripts();

            add_action( 'elementor/frontend/after_register_scripts', [$this, 'init_scripts'] );

        }

        public function set_scripts() {

        }

        public function init_scripts() {

            // Style
            $this->enqueue_style();
            // Scripts
            $this->enqueue_scripts();
            // Localize Script
            $this->localize_script();

        }

        public function enqueue_style() {

            if( !empty( $this->style ) ) {

                foreach( $this->style as $style ) {

                    $deps    = !empty( $style['dependency'] ) ? $style['dependency'] : array();
                    $version = !empty( $style['version'] ) ? $style['version'] : ELEDDON_VERSION;
                    $media   = !empty( $style['media'] ) ? $style['media'] : 'all';


                    if( !empty( $style['register'] ) && $style['register'] == true ) {

                        wp_register_style( $style['handle'], $style['url'], $deps,$version , $media );

                    } else {

                        wp_enqueue_style( $style['handle'], $style['url'], $deps, $version, $media );
                    }
   
                }

            }

        }

        public function enqueue_scripts() {

            if( !empty( $this->script ) ) {

                foreach( $this->script as $script ) {

                    $deps    = !empty( $script['dependency'] ) ? $script['dependency'] : array();
                    $version = !empty( $script['version'] ) ? $script['version'] : ELEDDON_VERSION;
                    $in_footer   = !empty( $script['in_footer'] ) ? $script['in_footer'] : true;

                    if( !empty( $script['register'] ) && $script['register'] == true ) {
                        wp_register_script( $script['handle'], $script['url'], $deps, $version, $in_footer );
                    } else {
                        wp_enqueue_script( $script['handle'], $script['url'], $deps, $version, $in_footer );
                    }

                }

            }

        }
        
        public function localize_script() {

            if( !empty( $this->localize ) ) {

                foreach( $this->script as $script ) {
                    wp_localize_script( $script['handle'], $script['object_name'], $script['data'] );
                } 
            }

        }


    }

}