<?php
namespace Eleddon\Inc\Classes;
/**
 * Eleddon enqueue front end script
 *
 * @package     Eleddon
 * @author      Codingeek
 * @copyright   2019 Codingeek
 * @license     GPL-2.0-or-later
 *
 *
 */


if( !defined( 'WPINC' ) ) {
    die;
}

if( !class_exists('Enqueue') ) {

    class Enqueue extends Enqueue_Base {

        public function set_scripts() {

            $dir_url = ELEDDON_WIDGET_ASSETS_URL;

            //
            $this->style = [

                [
                    'handle'        => 'fontawesome',
                    'url'           => $dir_url.'css/vandor/fontawesome.min.css',
                    'version'       => '5.12.0',
                    'register'      => true
                ],
                [
                    'handle'        => 'owl-carousel',
                    'url'           => $dir_url.'css/vandor/owl.carousel.min.css',
                    'version'       => '2.3.4',
                    'register'      => true
                ],
                [
                    'handle'        => 'slick',
                    'url'           => $dir_url.'css/vandor/slick.css',
                    'version'       => '2.3.4',
                    'register'      => true
                ],
                [
                    'handle'        => 'magnific-popup',
                    'url'           => $dir_url.'css/vandor/magnific-popup.css',
                    'version'       => '2.3.4',
                    'register'      => true
                ],
                [
                    'handle'        => 'eleddon-grid-style',
                    'url'           => $dir_url.'css/vandor/eleddon-grid.css',
                ],
                [
                    'handle'        => 'eleddon-style',
                    'url'           => $dir_url.'css/eleddon-style.css',
                ]
            ];

            //
            $this->script = [

                [
                    'handle'        => 'fontawesome',
                    'url'           => $dir_url.'js/vandor/fontawesome.min.js',
                    'version'       => '1.0.2',
                    'in_footer'     => true,
                    'register'      => true
                ],
                [
                    'handle'        => 'owl-carousel',
                    'url'           => $dir_url.'js/vandor/owl.carousel.min.js',
                    'version'       => '1.0.2',
                    'in_footer'     => true,
                    'register'      => true
                ],
                [
                    'handle'        => 'slick',
                    'url'           => $dir_url.'js/vandor/slick.min.js',
                    'version'       => '1.0.2',
                    'dependency'    => array( 'jquery'),
                    'in_footer'     => true,
                    'register'      => true
                ],
                [
                    'handle'        => 'barfiller',
                    'url'           => $dir_url.'js/vandor/jquery.barfiller.js',
                    'version'       => '1.0.1',
                    'dependency'    => array( 'jquery'),
                    'in_footer'     => true,
                    'register'      => true
                ],
                [
                    'handle'        => 'magnific-popup',
                    'url'           => $dir_url.'js/vandor/jquery.magnific-popup.min.js',
                    'version'       => '1.0.1',
                    'dependency'    => array( 'jquery'),
                    'in_footer'     => true,
                    'register'      => true
                ],
                [
                    'handle'        => 'eleddon-main',
                    'url'           => $dir_url.'js/main.js',
                    'dependency'    => array( 'jquery','barfiller'),
                    'in_footer'     => true,
                    'register'      => true
                ]

            ];

            //
            // $this->localize = [
            //     [
            //         'handle'        => 'eleddon-main',
            //         'object_name'   => 'eleddon_main',
            //         'data'          => array('tt' => 'pp'),
            //     ],
            //     [
            //         'handle'        => 'eleddon-main-ii',
            //         'object_name'   => 'eleddon_main_ii',
            //         'data'          => array( 'cc' => 'rrr' ),
            //     ]
            // ];

        }


    }

    new Enqueue();


}