(function($) {
"use strict"

var selectPopup = elementor.modules.controls.BaseData.extend({

    onReady: function () {

        var self = this;

        var parentSelector = this.ui.controlTitle.parent();
        var btnSelector = parentSelector.find('.popup-select-btn');

        // call Nice select 
        parentSelector.find('select').niceSelect()

        // Onclick add and remove active class
        var item = parentSelector.find('.eleddon_block-item-2.free')

        $(item).on( 'click', function() {
            var $this = $(this);

            item.removeClass( 'eleddon_block-active' );
            $this.addClass( 'eleddon_block-active' );

            var pop = parentSelector.find('.select-popup-wrapper');
            pop.fadeOut('slow');

        } )

        // Default Active
        var $defaultActive = self.ui.radio.first().parent().parent();
        $defaultActive.addClass('eleddon_block-active');

        // Seved item active
        self.ui.radio.each( function( index, val ) {

            if( val.checked == true ) {
                var inputTopParent = $(val).parent().parent();

                item.removeClass( 'eleddon_block-active' );

                inputTopParent.addClass('eleddon_block-active');
            }

        } )

        // Buton click popup show hide
        btnSelector.on( 'click', function() {

            var pop = parentSelector.find('.select-popup-wrapper');
            pop.slideToggle('slow');

        } )

        // Search Filter
        var search = parentSelector.find('[data-search]');
        search.on('keyup', function() {

            var searchVal = $(this).val();
            // Item filter callback
            items_filter( parentSelector, searchVal );

        });

        // Category Select Filter 
        var catSelectFilter = parentSelector.find('[data-filter-select]');

        catSelectFilter.on( 'change', function() {

            var selectedVlue = $(this).val();
            // Item filter callback
            items_filter( parentSelector, selectedVlue );

        } )

        // Type Select Filter 
        var typeFilter = parentSelector.find('[data-type-filter]');

        typeFilter.each( function(  ) {

            $(this).on( 'click', function() {

                var selectedVlue = $(this).data('type-filter');

                // Item filter callback
                items_filter( parentSelector, selectedVlue );

            } )

        } )


    },

});

elementor.addControlView('popup-select', selectPopup);


// Item filter callback function
function items_filter( parentSelector, selectedVlue ) {

    var filterItems = parentSelector.find('[data-filter-item]');

    if ( selectedVlue != '' ) {

        filterItems.addClass('hidden');
        parentSelector.find('[data-filter-item][data-filter-name*="' + selectedVlue.toLowerCase() + '"]').removeClass('hidden');

    } else {
        filterItems.removeClass('hidden');
    }

}



})(jQuery)