<?php
namespace Eleddon\CustomControl;

class Popup_Select extends \Elementor\Base_Data_Control{


    public function get_type() {
        return 'popup-select';
    }

    public function content_template() {
        $control_uid = $this->get_control_uid();

        ?>
        
		<div class="elementor-control-field">
			<label for="<?php echo $control_uid; ?>" class="elementor-control-title">{{{ data.label }}}</label>
			<div class="elementor-control-input-wrapper">
				<button data-btn="sayhello" class="popup-select-btn" id="<?php echo $control_uid; ?>"><i class="eicon-dot-circle-o"></i></button>
				<div class="select-popup-wrapper">
					<div class="inner-popup">
						<?php 
						$this->popup_element();
						?>
					</div>
				</div>

			</div>
		</div>
		<# if ( data.description ) { #>
		<div class="elementor-control-field-description">{{{ data.description }}}</div>
		<# } #>
	
    

        <?php
    }

    public function enqueue() {
    	wp_enqueue_style( 'popup-vendor', plugin_dir_url( __FILE__ ).'assets/css/vendor.css', array(), '1.0', false );
    	wp_enqueue_style( 'popup-controls', plugin_dir_url( __FILE__ ).'assets/css/popup-controls.css', array(), '1.0', false );

    	wp_register_script( 'popup-vendor', plugin_dir_url( __FILE__ ).'assets/js/vendor.js', array('jquery'), '1.0', true );
    	wp_register_script( 'popup-controls', plugin_dir_url( __FILE__ ).'assets/js/popup-controls.js', array('jquery'), '1.0', true );
    	
    	wp_enqueue_script( 'popup-vendor' );
    	wp_enqueue_script( 'popup-controls' );
    }

    protected function get_default_settings() {

		return [
			'options' => [],
			'toggle' => false,
		];
    }

    function popup_element() {
    	?>
    	<div class="eleddon_accordion-area">
        <div class="eleddon_container">
            <div class="eleddon_title-area">
                <div class="eleddon_row">
                    <div class="eleddon_col-6">
                        <div class="eleddon_heading_title">
                            <h3><?php esc_html_e( 'Element - Accordion', 'eleddon' ); ?></h3>
                        </div>
                    </div>
                    <div class="eleddon_col-6">
                        <div class="eleddon_header-right eleddon_float-right">
                            <div class="eleddon_plugin-option-menu-2">
                                <button class="active" data-type-filter=""><?php esc_html_e( 'All', 'eleddon' ); ?></button>
                                <button class="eleddon_free" data-type-filter="free"><?php esc_html_e( 'Free', 'eleddon' ); ?></button>
                                <button class="eleddon_pro" data-type-filter="pro"><?php esc_html_e( 'Pro', 'eleddon' ); ?></button>
                            </div>
                            <div class="eleddon_search-form eleddon_category-search-form">
                                <div class="clearfix">
                                    <div class="eleddon_category-search eleddon_float-left">
                                        <select data-filter-select>
                                            <# _.each( data.options, function( option, value ) { #>
                                            <option value="{{option.cat.toLowerCase()}}">{{option.cat}}</option>
                                            <#} ); #>
                                        </select>
                                    </div>
                                    <div class="eleddon_search-form-inner">
                                        <input data-search type="text" placeholder="Search...">
                                        <button type="submit"><i class="fa fa-search"></i></button>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
    
            <div class="eleddon_row">
				<# _.each( data.options, function( option, value ) { #>
				<div class="eleddon_col-3" data-filter-item data-filter-name="{{option.cat.toLowerCase()}} {{option.type.toLowerCase()}}">
					<div class="eleddon_block-item-2 {{option.type}}">
						<# if( option.type  == 'pro' ){ #>
						<div class="eleddon_badge">
	                        <span>Pro</span>
	                    </div>
	                    <# } #>
						<label for="{{ value }}" class="elementor-choices-label select-image-wrapper">
							<img src="{{ option.url }}" />
							<span>{{option.name}}</span>
							<# if( option.type  == 'free' ){ #>
							<input id="{{ value }}" type="radio" data-setting="{{ data.name }}" name="elementor-popup-select-{{ data.name }}-{{ data._cid }}" value="{{ value }}" />
							<# } #>
						</label>
					</div>
				</div>
				<#} ); #>
            </div>
        </div>
    </div>
    	<?php
    }


}
?>