<?php
/**
 * Eleddon enqueue front end script
 *
 * @package     Eleddon
 * @author      Codingeek
 * @copyright   2019 Codingeek
 * @license     GPL-2.0-or-later
 *
 *
 */


if( !defined( 'WPINC' ) ) {
    die;
}


function eleddon_image_alt( $url ) {

    if( $url != '' ){
        // attachment id by URL 
        $attachmentid = attachment_url_to_postid( esc_url( $url ) );
       // attachment alt tag 
        $image_alt = get_post_meta( esc_html( $attachmentid ) , '_wp_attachment_image_alt', true );
        
        if( $image_alt ){
            return $image_alt ;
        }else{
            $filename = pathinfo( esc_url( $url ) );

            $alt = str_replace( '-', ' ', $filename['filename'] );
            
            return $alt;
        }

    } else {
       return; 
    }

}

/*
 * contact form 7 post
*/

if ( ! function_exists( 'get_contact_form_7_posts' ) ) :
  function get_contact_form_7_posts(){
  $args = array('post_type' => 'wpcf7_contact_form', 'posts_per_page' => -1);
    $catlist=[];
    
    if( $categories = get_posts($args)){
        foreach ( $categories as $category ) {
            (int)$catlist[$category->ID] = $category->post_title;
        }
    }
    else{
        (int)$catlist['0'] = esc_html__('No contect From 7 form found', 'eleddon');
    }
  return $catlist;
  }
endif;

//admin notice

function eleddon_notice() {
    $user_id = get_current_user_id();
    if ( !get_user_meta( $user_id, 'eleddon_notice_dismissed' ) ) 
        echo '<div class="notice-warning notice"><h3><a href="https://codingeek.net/">Download Modern WordPress Themes and Plugins</a><a style="text-decoration:none;float:right" href="?eleddon-dismissed">Dismiss</a></h3></div>';
}
add_action( 'admin_notices', 'eleddon_notice' );

function eleddon_notice_dismissed() {
    $user_id = get_current_user_id();
    if ( isset( $_GET['eleddon-dismissed'] ) )
        add_user_meta( $user_id, 'eleddon_notice_dismissed', 'true', true );
}
add_action( 'admin_init', 'eleddon_notice_dismissed' );