<?php
namespace Eleddon\Widgets;
/**
 * Eleddon Widget Lists
 *
 * @package     Eleddon
 * @author      Codingeek
 * @copyright   2019 Codingeek
 * @license     GPL-2.0-or-later
 *
 *
 */


if( !defined( 'WPINC' ) ) {
    die;
}

if( !class_exists('Widgets_List') ) {

class Widgets_List {

	/**
     * Pro version widget lists
     *
     *
     */
	public static function widgets_list_pro() {
        return [

            [
                'label' => esc_html__( 'Advance Heading', 'eleddon' ),
                'name' => '_advance_heading',
                'is_pro' => true
            ],
            [
                'label'     => esc_html__( 'Advance Info', 'eleddon' ),
                'name'      => 'advance_info',
                'is_pro'    => true
            ],

        ];
	}

    /**
     * Lite version widget lists
     *
     * Name is required 
     * If name more than 1 word it's should be concatenates with _  like ( heading_option )
     *
     */
    public static function widgets_list_lite() {

        return [

            [
                'label' => esc_html__( 'Accordion', 'eleddon' ),
                'name' => 'accordion',
                'demo_url' => '#',
                'doc_url' => '#'
            ],
            [
                'label' => esc_html__( 'Logo Carousel', 'eleddon' ),
                'name' => 'logo_carousel', 
                'demo_url' => '#',
                'doc_url' => '#'
            ],
            [
                'label' => esc_html__( 'Testimonial', 'eleddon' ),
                'name' => 'testimonial',
                'demo_url' => '#',
                'doc_url' => '#'
            ],            
            [
                'label' => esc_html__( 'Team', 'eleddon' ),
                'name' => 'team',
                'demo_url' => '#',
                'doc_url' => '#'
            ],
            [
                'label' => esc_html__( 'Service', 'eleddon' ),
                'name' => 'service',
                'demo_url' => '#',
                'doc_url' => '#'
            ],
            [
                'label' => esc_html__( 'Card', 'eleddon' ),
                'name' => 'card',
                'demo_url' => '#',
                'doc_url' => '#'
            ],            
            [
                'label' => esc_html__( 'Pricing', 'eleddon' ),
                'name' => 'pricing',
                'demo_url' => '#',
                'doc_url' => '#'
            ],
            [
                'label' => esc_html__( 'Progressbar', 'eleddon' ),
                'name' => 'progressbar',
                'demo_url' => '#',
                'doc_url' => '#'
            ],            
            [
                'label' => esc_html__( 'Slider', 'eleddon' ),
                'name' => 'slider',
                'demo_url' => '#',
                'doc_url' => '#'
            ],
            [
                'label' => esc_html__( 'Contact', 'eleddon' ),
                'name' => 'contact',
                'demo_url' => '#',
                'doc_url' => '#'
            ],            

        ];

    }

    public function widgets_map() {

    	$liteWidgets = self::widgets_list_lite();
        $proWidgets  = self::widgets_list_pro();


        $widgets = wp_parse_args( $proWidgets, $liteWidgets );

        return $widgets;

    }


}


}